org.codehaus.plexus.component.factory

## Class UndefinedComponentFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.factory.UndefinedComponentFactoryException

All Implemented Interfaces:
  java.io.Serializable

    public class UndefinedComponentFactoryException
    extends java.lang.Exception

Version:
  $Id: UndefinedComponentFactoryException.java 7089 2007-11-25 15:19:06Z jvanzyl $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UndefinedComponentFactoryException(java.lang.String message)`
`UndefinedComponentFactoryException(java.lang.String message, java.lang.Throwable cause)`
`UndefinedComponentFactoryException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UndefinedComponentFactoryException

    public UndefinedComponentFactoryException(java.lang.String message)

#### UndefinedComponentFactoryException

    public UndefinedComponentFactoryException(java.lang.String message,
                                      java.lang.Throwable cause)

#### UndefinedComponentFactoryException

    public UndefinedComponentFactoryException(java.lang.Throwable cause)